> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List DMs > List all the DMs of the authenticated user. ### Change Log | Version | Description | | ------- | -------------------------------------------- | | 0.67.0 | Remove `query` parameter support. | | 0.62.0 | Add `query` parameter support. | | 0.49.0 | Count and offset query parameters supported. | | 0.48.0 | Added | ## OpenAPI ````json GET /api/v1/dm.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/dm.list": { "get": { "tags": [ "Direct Messages" ], "summary": "List DMs", "description": "List all the DMs of the authenticated user. \n\n### Change Log\n\n| Version | Description |\n| ------- | -------------------------------------------- |\n| 0.67.0 | Remove `query` parameter support. |\n| 0.62.0 | Add `query` parameter support. |\n| 0.49.0 | Count and offset query parameters supported. |\n| 0.48.0 | Added |", "operationId": "get-api-v1-im.list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "ims": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "t": { "type": "string" }, "usernames": { "type": "array", "items": { "type": "string" } }, "usersCount": { "type": "integer" }, "msgs": { "type": "integer" }, "ts": { "type": "string" }, "uids": { "type": "array", "items": { "type": "string" } }, "encrypted": { "type": "boolean" }, "default": { "type": "boolean" }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" }, "_USERNAMES": { "type": "array", "items": { "type": "string" } }, "e2eKeyId": { "type": "string" }, "lastMessage": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object" } }, "mentions": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" }, "type": { "type": "string" } } } }, "channels": { "type": "array", "items": { "type": "object" } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } }, "lm": { "type": "string" }, "topic": { "type": "string" } } } }, "offset": { "type": "integer" }, "count": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "ims": [ { "_id": "5fRTXMt7DMJbpPJfhrbAXPnMktTFbNpwtJ", "t": "d", "usernames": [ "roxie", "test.john" ], "usersCount": 2, "msgs": 10, "ts": "2023-07-11T01:37:04.552Z", "uids": [ "5fRTXMt7DMJbpPJfh", "rbAXPnMktTFbNpwtJ" ], "encrypted": true, "default": false, "ro": false, "sysMes": true, "_updatedAt": "2023-10-30T20:37:17.317Z", "_USERNAMES": [ "test.test", "test.test" ], "e2eKeyId": "eyJhbGciOiJB", "lastMessage": { "_id": "qpx24HcNoTZCoj7jZ", "rid": "5fRTXMt7DMJbpPJfhrbAXPnMktTFbNpwtJ", "msg": "gvjkbvjjgi", "ts": "2023-10-30T20:37:17.16Z", "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie", "name": "test test" }, "_updatedAt": "2023-10-30T20:37:17.267Z", "urls": [], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "gvjkbvjjgi" } ] } ] }, "lm": "2023-10-30T20:37:17.16Z", "topic": "Discuss all of the testing" }, { "_id": "65400fc3a2f73c7460e18e9f", "t": "d", "usernames": [ "roxie", "hookdeck.write", "test.john" ], "usersCount": 3, "msgs": 8, "ts": "2023-10-30T20:19:15.092Z", "uids": [ "5fRTXMt7DMJbpPJfh", "hFDuCPam7sWziWFYa", "rbAXPnMktTFbNpwtJ" ], "encrypted": true, "default": false, "ro": false, "sysMes": true, "_updatedAt": "2023-10-30T20:36:41.696Z", "_USERNAMES": [ "roxie", "hookdeck.write", "test.john" ], "topic": "Discuss all of the testing", "lastMessage": { "_id": "dgDTvDAXN4eCLptr8", "rid": "65400fc3a2f73c7460e18e9f", "msg": "@test.john", "ts": "2023-10-30T20:36:41.494Z", "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie", "name": "test test" }, "_updatedAt": "2023-10-30T20:36:41.613Z", "urls": [], "mentions": [ { "_id": "5fRTXMt7DMJbpPJfh", "username": "test.john", "name": "Test John", "type": "user" } ], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "MENTION_USER", "value": { "type": "PLAIN_TEXT", "value": "test.john" } } ] } ] }, "lm": "2023-10-30T20:36:41.494Z" } ], "offset": 0, "count": 2, "total": 2, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````